//------------------------------------------------------------------------------
// <auto-generated>
//      Generated by NativeAssist version 1.0.0.0 with Split Generator.
//      Do not modify this file unless necessary.
// </auto-generated>
//------------------------------------------------------------------------------

namespace NativeFx.Interop;

using System;
using GTA.Native;
using GTA;
using GTA.Math;

public static partial class Natives 
{
public static class Cutscene {
/// <summary>
/// flags: Usually 8<br />Full list of cutscene names by DurtyFree https://github.com/DurtyFree/gta-v-data-dumps/blob/master/cutsceneNames.json
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Cutscene<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x7A86743F475D9E09<br />
/// </para>
/// </remarks>
public static void RequestCutscene(string cutsceneName, int flags){
Function.Call((Hash)0x7A86743F475D9E09uL, cutsceneName, flags);
}

/// <summary>
/// flags: Usually 8<br /><br />playbackFlags: Which scenes should be played.<br />Example: 0x105 (bit 0, 2 and 8 set) will enable scene 1, 3 and 9.<br />Full list of cutscene names by DurtyFree https://github.com/DurtyFree/gta-v-data-dumps/blob/master/cutsceneNames.json
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Cutscene<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xC23DE0E91C30B58C<br />
/// </para>
/// </remarks>
public static void RequestCutsceneWithPlaybackList(string cutsceneName, int playbackFlags, int flags){
Function.Call((Hash)0xC23DE0E91C30B58CuL, cutsceneName, playbackFlags, flags);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Cutscene<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x440AF51A3462B86F<br />
/// </para>
/// </remarks>
public static void RemoveCutscene(){
Function.Call((Hash)0x440AF51A3462B86FuL);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Cutscene<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xC59F528E9AB9F339<br />
/// </para>
/// </remarks>
public static bool HasCutsceneLoaded(){
return Function.Call<bool>((Hash)0xC59F528E9AB9F339uL);
}

/// <summary>
/// Full list of cutscene names by DurtyFree https://github.com/DurtyFree/gta-v-data-dumps/blob/master/cutsceneNames.json
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Cutscene<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x228D3D94F8A11C3C<br />
/// </para>
/// </remarks>
public static bool HasThisCutsceneLoaded(string cutsceneName){
return Function.Call<bool>((Hash)0x228D3D94F8A11C3CuL, cutsceneName);
}

/// <summary>
/// Sets the cutscene&apos;s owning thread ID.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Cutscene<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x8D9DF6ECA8768583<br />
/// </para>
/// </remarks>
public static void SetScriptCanStartCutscene(int threadId){
Function.Call((Hash)0x8D9DF6ECA8768583uL, threadId);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Cutscene<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xB56BBBCC2955D9CB<br />
/// </para>
/// </remarks>
public static bool CanRequestAssetsForCutsceneEntity(){
return Function.Call<bool>((Hash)0xB56BBBCC2955D9CBuL);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Cutscene<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x71B74D2AE19338D0<br />
/// </para>
/// </remarks>
public static bool IsCutscenePlaybackFlagSet(int flag){
return Function.Call<bool>((Hash)0x71B74D2AE19338D0uL, flag);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Cutscene<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x4C61C75BEE8184C2<br />
/// </para>
/// </remarks>
public static void SetCutsceneEntityStreamingFlags(string cutsceneEntName, int p1, int p2){
Function.Call((Hash)0x4C61C75BEE8184C2uL, cutsceneEntName, p1, p2);
}

/// <summary>
/// Simply loads the cutscene and doesn&apos;t do extra stuff that REQUEST_CUTSCENE does.<br />Full list of cutscene names by DurtyFree https://github.com/DurtyFree/gta-v-data-dumps/blob/master/cutsceneNames.json
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Cutscene<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x06A3524161C502BA<br />
/// </para>
/// </remarks>
public static void RequestCutFile(string cutsceneName){
Function.Call((Hash)0x06A3524161C502BAuL, cutsceneName);
}

/// <summary>
/// Simply checks if the cutscene has loaded and doesn&apos;t check via CutSceneManager as opposed to HAS_[THIS]_CUTSCENE_LOADED.<br />Full list of cutscene names by DurtyFree https://github.com/DurtyFree/gta-v-data-dumps/blob/master/cutsceneNames.json
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Cutscene<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xA1C996C2A744262E<br />
/// </para>
/// </remarks>
public static bool HasCutFileLoaded(string cutsceneName){
return Function.Call<bool>((Hash)0xA1C996C2A744262EuL, cutsceneName);
}

/// <summary>
/// Simply unloads the cutscene and doesn&apos;t do extra stuff that REMOVE_CUTSCENE does.<br />Full list of cutscene names by DurtyFree https://github.com/DurtyFree/gta-v-data-dumps/blob/master/cutsceneNames.json
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Cutscene<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xD00D76A7DFC9D852<br />
/// </para>
/// </remarks>
public static void RemoveCutFile(string cutsceneName){
Function.Call((Hash)0xD00D76A7DFC9D852uL, cutsceneName);
}

/// <summary>
/// Full list of cutscene names by DurtyFree https://github.com/DurtyFree/gta-v-data-dumps/blob/master/cutsceneNames.json
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Cutscene<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x0ABC54DE641DC0FC<br />
/// </para>
/// </remarks>
public static int GetCutFileConcatCount(string cutsceneName){
return Function.Call<int>((Hash)0x0ABC54DE641DC0FCuL, cutsceneName);
}

/// <summary>
/// flags: Usually 0.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Cutscene<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x186D5CB5E7B0FF7B<br />
/// </para>
/// </remarks>
public static void StartCutscene(int flags){
Function.Call((Hash)0x186D5CB5E7B0FF7BuL, flags);
}

/// <summary>
/// flags: Usually 0.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Cutscene<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x1C9ADDA3244A1FBF<br />
/// </para>
/// </remarks>
public static void StartCutsceneAtCoords(float x, float y, float z, int flags){
Function.Call((Hash)0x1C9ADDA3244A1FBFuL, x, y, z, flags);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Cutscene<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xC7272775B4DC786E<br />
/// </para>
/// </remarks>
public static void StopCutscene(bool p0){
Function.Call((Hash)0xC7272775B4DC786EuL, p0);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Cutscene<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xD220BDD222AC4A1E<br />
/// </para>
/// </remarks>
public static void StopCutsceneImmediately(){
Function.Call((Hash)0xD220BDD222AC4A1EuL);
}

/// <summary>
/// p3 could be heading. Needs more research.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Cutscene<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xB812B3FD1C01CF27<br />
/// </para>
/// </remarks>
public static void SetCutsceneOrigin(float x, float y, float z, float p3, int p4){
Function.Call((Hash)0xB812B3FD1C01CF27uL, x, y, z, p3, p4);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Cutscene<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x011883F41211432A<br />
/// </para>
/// </remarks>
public static void SetCutsceneOriginAndOrientation(float x1, float y1, float z1, float x2, float y2, float z2, int p6){
Function.Call((Hash)0x011883F41211432AuL, x1, y1, z1, x2, y2, z2, p6);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Cutscene<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xE625BEABBAFFDAB9<br />
/// </para>
/// </remarks>
public static int GetCutsceneTime(){
return Function.Call<int>((Hash)0xE625BEABBAFFDAB9uL);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Cutscene<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xEE53B14A19E480D4<br />
/// </para>
/// </remarks>
public static int GetCutsceneTotalDuration(){
return Function.Call<int>((Hash)0xEE53B14A19E480D4uL);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Cutscene<br />
/// <b>From Build:</b> 1734<br />
/// <b>Native ID:</b> 0x971D7B15BCDBEF99<br />
/// </para>
/// </remarks>
public static int GetCutsceneEndTime(){
return Function.Call<int>((Hash)0x971D7B15BCDBEF99uL);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Cutscene<br />
/// <b>From Build:</b> 2802<br />
/// <b>Native ID:</b> 0x5D583F71C901F2A3<br />
/// </para>
/// </remarks>
public static int GetCutscenePlayDuration(){
return Function.Call<int>((Hash)0x5D583F71C901F2A3uL);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Cutscene<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x40C8656EDAEDD569<br />
/// </para>
/// </remarks>
public static bool WasCutsceneSkipped(){
return Function.Call<bool>((Hash)0x40C8656EDAEDD569uL);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Cutscene<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x7C0A893088881D57<br />
/// </para>
/// </remarks>
public static bool HasCutsceneFinished(){
return Function.Call<bool>((Hash)0x7C0A893088881D57uL);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Cutscene<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x991251AFC3981F84<br />
/// </para>
/// </remarks>
public static bool IsCutsceneActive(){
return Function.Call<bool>((Hash)0x991251AFC3981F84uL);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Cutscene<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xD3C2E180A40F031E<br />
/// </para>
/// </remarks>
public static bool IsCutscenePlaying(){
return Function.Call<bool>((Hash)0xD3C2E180A40F031EuL);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Cutscene<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x49010A6A396553D8<br />
/// </para>
/// </remarks>
public static int GetCutsceneSectionPlaying(){
return Function.Call<int>((Hash)0x49010A6A396553D8uL);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Cutscene<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x0A2E9FDB9A8C62F6<br />
/// </para>
/// </remarks>
public static int GetEntityIndexOfCutsceneEntity(string cutsceneEntName, uint modelHash){
return Function.Call<int>((Hash)0x0A2E9FDB9A8C62F6uL, cutsceneEntName, modelHash);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Cutscene<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x583DF8E3D4AFBD98<br />
/// </para>
/// </remarks>
public static int GetCutsceneConcatSectionPlaying(){
return Function.Call<int>((Hash)0x583DF8E3D4AFBD98uL);
}

/// <summary>
/// This function is hard-coded to always return 1.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Cutscene<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x4CEBC1ED31E8925E<br />
/// </para>
/// </remarks>
public static bool IsCutsceneAuthorized(string cutsceneName){
return Function.Call<bool>((Hash)0x4CEBC1ED31E8925EuL, cutsceneName);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Cutscene<br />
/// <b>From Build:</b> 1290<br />
/// <b>Native ID:</b> 0x4FCD976DA686580C<br />
/// </para>
/// </remarks>
public static int DoesCutsceneHandleExist(int cutsceneHandle){
return Function.Call<int>((Hash)0x4FCD976DA686580CuL, cutsceneHandle);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Cutscene<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xE40C1C56DF95C2E8<br />
/// </para>
/// </remarks>
public static void RegisterEntityForCutscene(int /* Ped */ cutscenePed, string cutsceneEntName, int p2, uint modelHash, int p4){
Function.Call((Hash)0xE40C1C56DF95C2E8uL, cutscenePed, cutsceneEntName, p2, modelHash, p4);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Cutscene<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xC0741A26499654CD<br />
/// </para>
/// </remarks>
public static int GetEntityIndexOfRegisteredEntity(string cutsceneEntName, uint modelHash){
return Function.Call<int>((Hash)0xC0741A26499654CDuL, cutsceneEntName, modelHash);
}

/// <summary>
/// Full list of vehicles by DurtyFree: https://github.com/DurtyFree/gta-v-data-dumps/blob/master/vehicles.json
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Cutscene<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x7F96F23FA9B73327<br />
/// </para>
/// </remarks>
public static void SetVehicleModelPlayerWillExitScene(uint modelHash){
Function.Call((Hash)0x7F96F23FA9B73327uL, modelHash);
}

/// <summary>
/// Only used twice in R* scripts
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Cutscene<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x9896CE4721BE84BA<br />
/// </para>
/// </remarks>
public static void SetCutsceneTriggerArea(float x1, float y1, float z1, float x2, float y2, float z2){
Function.Call((Hash)0x9896CE4721BE84BAuL, x1, y1, z1, x2, y2, z2);
}

/// <summary>
/// modelHash (p1) was always 0 in R* scripts
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Cutscene<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x645D0B458D8E17B5<br />
/// </para>
/// </remarks>
public static bool CanSetEnterStateForRegisteredEntity(string cutsceneEntName, uint modelHash){
return Function.Call<bool>((Hash)0x645D0B458D8E17B5uL, cutsceneEntName, modelHash);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Cutscene<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x4C6A6451C79E4662<br />
/// </para>
/// </remarks>
public static bool CanSetExitStateForRegisteredEntity(string cutsceneEntName, uint modelHash){
return Function.Call<bool>((Hash)0x4C6A6451C79E4662uL, cutsceneEntName, modelHash);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Cutscene<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xB2CBCD0930DFB420<br />
/// </para>
/// </remarks>
public static bool CanSetExitStateForCamera(bool p0){
return Function.Call<bool>((Hash)0xB2CBCD0930DFB420uL, p0);
}

/// <summary>
/// Toggles a value (bool) for cutscenes.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Cutscene<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xC61B86C9F61EB404<br />
/// </para>
/// </remarks>
public static void SetPadCanShakeDuringCutscene(bool toggle){
Function.Call((Hash)0xC61B86C9F61EB404uL, toggle);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Cutscene<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x8093F23ABACCC7D4<br />
/// </para>
/// </remarks>
public static void SetCutsceneFadeValues(bool p0, bool p1, bool p2, bool p3){
Function.Call((Hash)0x8093F23ABACCC7D4uL, p0, p1, p2, p3);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Cutscene<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x20746F7B1032A3C7<br />
/// </para>
/// </remarks>
public static void SetCutsceneMultiheadFade(bool p0, bool p1, bool p2, bool p3){
Function.Call((Hash)0x20746F7B1032A3C7uL, p0, p1, p2, p3);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Cutscene<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x06EE9048FD080382<br />
/// </para>
/// </remarks>
public static void SetCutsceneMultiheadFadeManual(bool p0){
Function.Call((Hash)0x06EE9048FD080382uL, p0);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Cutscene<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xA0FE76168A189DDB<br />
/// </para>
/// </remarks>
public static bool IsMultiheadFadeUp(){
return Function.Call<bool>((Hash)0xA0FE76168A189DDBuL);
}

/// <summary>
/// Stops current cutscene with a fade transition<br />p0: always true in R* Scripts<br />You will need to manually fade the screen back in<br />SET_CUTSCENE_INPUTS_PARTIALLY_FADE?
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Cutscene<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x2F137B508DE238F2<br />
/// </para>
/// </remarks>
public static void NetworkSetMocapCutsceneCanBeSkipped(bool p0){
Function.Call((Hash)0x2F137B508DE238F2uL, p0);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Cutscene<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xE36A98D8AB3D3C66<br />
/// </para>
/// </remarks>
public static void SetCarGeneratorsCanUpdateDuringCutscene(bool p0){
Function.Call((Hash)0xE36A98D8AB3D3C66uL, p0);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Cutscene<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x5EDEF0CF8C1DAB3C<br />
/// </para>
/// </remarks>
public static bool CanUseMobilePhoneDuringCutscene(){
return Function.Call<bool>((Hash)0x5EDEF0CF8C1DAB3CuL);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Cutscene<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x41FAA8FB2ECE8720<br />
/// </para>
/// </remarks>
public static void SetCutsceneCanBeSkipped(bool p0){
Function.Call((Hash)0x41FAA8FB2ECE8720uL, p0);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Cutscene<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x2131046957F31B04<br />
/// </para>
/// </remarks>
public static void SetCanDisplayMinimapDuringCutsceneThisUpdate(){
Function.Call((Hash)0x2131046957F31B04uL);
}

/// <summary>
/// Full list of ped components by DurtyFree: https://github.com/DurtyFree/gta-v-data-dumps/blob/master/pedComponentVariations.json
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Cutscene<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xBA01E7B6DEEFBBC9<br />
/// </para>
/// </remarks>
public static void SetCutscenePedComponentVariation(string cutsceneEntName, int componentId, int drawableId, int textureId, uint modelHash){
Function.Call((Hash)0xBA01E7B6DEEFBBC9uL, cutsceneEntName, componentId, drawableId, textureId, modelHash);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Cutscene<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x2A56C06EBEF2B0D9<br />
/// </para>
/// </remarks>
public static void SetCutscenePedComponentVariationFromPed(string cutsceneEntName, int /* Ped */ ped, uint modelHash){
Function.Call((Hash)0x2A56C06EBEF2B0D9uL, cutsceneEntName, ped, modelHash);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Cutscene<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x499EF20C5DB25C59<br />
/// </para>
/// </remarks>
public static bool DoesCutsceneEntityExist(string cutsceneEntName, uint modelHash){
return Function.Call<bool>((Hash)0x499EF20C5DB25C59uL, cutsceneEntName, modelHash);
}

/// <summary>
/// Thanks R*! ;)<br /><br />if ((l_161 == 0) || (l_161 == 2)) {<br />    sub_2ea27(&quot;Trying to set Jimmy prop variation&quot;);<br />    CUTSCENE::SET_CUTSCENE_PED_PROP_VARIATION(&quot;Jimmy_Boston&quot;, 1, 0, 0, 0);<br />}<br /><br />Full list of ped components by DurtyFree: https://github.com/DurtyFree/gta-v-data-dumps/blob/master/pedComponentVariations.json
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Cutscene<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x0546524ADE2E9723<br />
/// </para>
/// </remarks>
public static void SetCutscenePedPropVariation(string cutsceneEntName, int componentId, int drawableId, int textureId, uint modelHash){
Function.Call((Hash)0x0546524ADE2E9723uL, cutsceneEntName, componentId, drawableId, textureId, modelHash);
}

/// <summary>
/// Possibly HAS_CUTSCENE_CUT_THIS_FRAME, needs more research.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Cutscene<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x708BDD8CD795B043<br />
/// </para>
/// </remarks>
public static bool HasCutsceneCutThisFrame(){
return Function.Call<bool>((Hash)0x708BDD8CD795B043uL);
}

}}
